@charset "utf-8";
:root {
  --gray-dark: #929aa0;
  --gray: #d0d3d5;
  --gray-light: #ebeced;
  --submit: #1e88e5;
  --header-height: 74px;
  --fs15: 15px;
  --fs18: 18px;
  --fs20: 20px;
  --fs36: 36px;
}
br[sp] {
  display: none;
}
br[pc],
br[pc][sp] {
  display: inline;
}
body {
  padding-top: var(--header-height);
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
.header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  height: var(--header-height);
  background: white;
}
.header a:link,
.header a:visited {
  color: #2e2f7a;
}
.footer {
  margin-top: auto;
}
.form .container {
  padding: 30px;
}
.form .headline {
  font-size: var(--fs36);
  font-weight: bold;
  margin-bottom: 30px;
}
.form .lead {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  max-width: 60%;
  margin-right: auto;
  margin-left: auto;
  margin-bottom: 45px;
}
.form .lead .center {
  display: block;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-right: auto;
  margin-left: auto;
  font-size: var(--fs20);
}
.form .steps {
  display: flex;
  align-items: stretch;
  margin-bottom: 60px;
}
.form .steps > span {
  width: 33.33%;
  box-sizing: border-box;
  padding: 12px 0;
  background: var(--bg);
  color: var(--color);
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}
.form .steps > span::after {
  display: block;
  content: "";
  width: 20px;
  height: 100%;
  background: var(--bg);
  -webkit-clip-path: polygon(0 0, 1px 0, 100% 50%, 1px 100%, 0 100%);
          clip-path: polygon(0 0, 1px 0, 100% 50%, 1px 100%, 0 100%);
  position: absolute;
  top: 0;
  left: 100%;
  z-index: 1;
  transform: translateX(-1px);
}
#input .form .steps .input {
  --bg: var(--gray-dark);
  --color: white;
}
#confirm .form .steps .input {
  --bg: var(--gray-light);
  --color: black;
}
#complete .form .steps .input {
  --bg: var(--gray-light);
  --color: black;
}
#input .form .steps .confirm {
  --bg: var(--gray);
  --color: black;
}
#confirm .form .steps .confirm {
  --bg: var(--gray-dark);
  --color: white;
}
#complete .form .steps .confirm {
  --bg: var(--gray-light);
  --color: black;
}
#input .form .steps .complete {
  --bg: var(--gray-light);
  --color: black;
}
#confirm .form .steps .complete {
  --bg: var(--gray);
  --color: black;
}
#complete .form .steps .complete {
  --bg: var(--gray-dark);
  --color: white;
}
.form .steps .complete::after {
  display: none;
}
.form form {
  text-align: left;
  margin-bottom: 45px;
}
.form form .block {
  display: flex;
  flex-wrap: wrap;
  --gap: 30px;
  gap: 0 var(--gap);
}
.form form .block:not(:nth-last-of-type(-n+2)) {
  border-bottom: 1px solid var(--gray);
}
.form form .block > .title {
  width: 30%;
  box-sizing: border-box;
  padding: 15px 30px;
  font-size: var(--fs18);
}
.form form .block > .title::after {
  --color: black;
  --bg: var(--gray);
  content: "任意";
  display: inline-block;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  padding: 3px 5px;
  border-radius: 2px;
  background: var(--bg);
  margin-left: 1em;
  font-size: var(--fs15);
  font-weight: normal;
  line-height: 1;
  color: var(--color);
}
.form form .block.required > .title::after {
  --color: white;
  --bg: red;
  content: "必須";
}
.form form .title {
  font-weight: bold;
}
.form form .input {
  width: calc(70% - var(--gap));
  box-sizing: border-box;
  padding: 15px 30px;
  display: flex;
  align-items: center;
  gap: 0 0.5em;
}
.form form .input > .title {
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  flex-shrink: 0;
  font-size: var(--fs15);
  padding-right: 0.5em;
}
.form form .input + .input {
  margin-left: auto;
}
.form form .input input,
.form form .input textarea,
.form form .input select {
  box-sizing: border-box;
  font-size: var(--fs15);
}
.form form .input input,
.form form .input textarea {
  width: 100%;
  padding: 6px;
}
.form form .input input.short {
  width: 45%;
  flex-grow: 1;
  flex-shrink: 0;
}
.form form .input input.short2 {
  width: 2em;
}
.form form .input input.short3 {
  width: 3em;
}
.form form .input input.short4 {
  width: 4em;
}
.form form .input input.short5 {
  width: 5em;
}
.form form .input select {
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
  padding: 6px 21px 6px 15px;
}
.form form .input textarea {
  min-height: 10em;
}
.form form .btns {
  margin-top: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px 45px;
}
.form form .btns > * {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}
.form form .btns > * input {
  cursor: pointer;
  color: var(--color);
  font-size: var(--fs18);
  font-weight: bold;
  background: var(--bg);
  border: 0;
  border-radius: 3px;
}
.form form .btns > * input:hover {
  opacity: 0.8;
}
.form form .btns .submit {
  --bg: var(--submit);
  --color: white;
}
.form form .btns .submit input {
  padding: 15px 90px;
}
.form form .btns .back {
  --bg: var(--gray-dark);
  --color: white;
}
.form form .btns .back input {
  padding: 15px 60px;
}
@media screen and (max-width: 480px) {
  :root {
    --header-height: 43px;
    --fs13: 3.46666667vw;
    --fs15: 4vw;
    --fs18: 4.8vw;
    --fs20: 5.33333333vw;
    --fs36: 9.6vw;
  }
  br[pc] {
    display: none;
  }
  br[sp],
  br[pc][sp] {
    display: inline;
  }
  .form .container {
    padding: 30px 15px;
  }
  .form .headline {
    margin-bottom: 20px;
  }
  .form .lead {
    max-width: unset;
    margin-bottom: 20px;
  }
  .form .steps {
    margin-bottom: 40px;
  }
  .form .steps > span {
    font-size: var(--fs13);
    line-height: 1.5;
  }
  .form .steps > span:not(.input) {
    padding-left: 20px;
  }
  .form .steps > span::after {
    width: 15px;
  }
  .form form .block {
    flex-direction: column;
  }
  .form form .block > .title {
    width: 100%;
    padding: 15px 0 0;
  }
  .form form .input {
    width: 100%;
    padding: 15px 0;
    flex-wrap: wrap;
    gap: 0 1%;
  }
  .form form .input > .title {
    width: 100%;
    flex-shrink: 0;
    padding-right: 0;
  }
  .form form .input input,
  .form form .input textarea {
    padding: 15px 10px;
  }
  .form form .input input.short2 {
    width: 3em;
  }
  .form form .input input.short3 {
    width: 30%;
  }
  .form form .input input.short4 {
    width: 30%;
  }
  .form form .input input.short5 {
    width: 8em;
  }
  .form form .input .select {
    width: 100%;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    position: relative;
  }
  .form form .input .select::after {
    content: "";
    display: block;
    width: 8px;
    height: 8px;
    border: 1px solid transparent;
    border-right: 1px solid black;
    border-bottom: 1px solid black;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translate(0, -50%) rotate(45deg);
  }
  .form form .input select {
    width: 100%;
    padding: 15px 10px;
    -webkit-appearance: none;
       -moz-appearance: none;
            appearance: none;
  }
  .form form .btns {
    flex-direction: column;
  }
  .form form .btns > * input {
    -webkit-appearance: none;
       -moz-appearance: none;
            appearance: none;
  }
  .form form .btns .submit {
    order: 1;
  }
  .form form .btns .back {
    order: 2;
  }
}
